# Uses of Class
org.apache.lucene.util.fst.IntsRefFSTEnum.InputOutput

Packages that use IntsRefFSTEnum.InputOutput
Package
Description
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of IntsRefFSTEnum.InputOutput in org.apache.lucene.util.fst

  Methods in org.apache.lucene.util.fst that return IntsRefFSTEnum.InputOutput
  Modifier and Type
  Method
  Description
  `IntsRefFSTEnum.InputOutput<T>`
  IntsRefFSTEnum.`current()`
  `IntsRefFSTEnum.InputOutput<T>`
  IntsRefFSTEnum.`next()`
  `IntsRefFSTEnum.InputOutput<T>`
  IntsRefFSTEnum.`seekCeil(IntsRef target)`
  Seeks to smallest term that's >= target.
  `IntsRefFSTEnum.InputOutput<T>`
  IntsRefFSTEnum.`seekExact(IntsRef target)`
  Seeks to exactly this term, returning null if the term doesn't exist.
  `IntsRefFSTEnum.InputOutput<T>`
  IntsRefFSTEnum.`seekFloor(IntsRef target)`
  Seeks to biggest term that's <= target.